#include <iostream>

using namespace std;

int main()
{
    int n, k;
    cin >> n >> k;
    int spil[n];
    for(int i = 0; i < n; i++)
        cin >> spil[i];
    for(int i = 0; i < n; i++)
        if(spil[i] == k)
        {
            cout << spil[(i+1)%n];
            break;
        }
    return 0;
}